## cinnamon-desktop 6.0.0

=== debian/changelog ===
cinnamon-desktop (6.0.0-2) unstable; urgency=medium

  * Release to unstable
  * fix gsettings-override file name, was broken from 5.8.0-2.1~exp1
  * d/control: add dpkg-dev >= 1.22.5 to build-deps

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 30 Mar 2024 13:14:48 +0100

cinnamon-desktop (6.0.0-1) experimental; urgency=medium

  * New upstream version 6.0.0
  * d/control: add libsystemd-dev to build-deps
  * Bump reverse dep breaks to 6.0
  * Update symbols
  * Add missed breaks of reverse-deps to shared libraries packages

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 11 Feb 2024 13:03:41 +0100

cinnamon-desktop (5.8.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062060

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 06:22:50 +0000

cinnamon-desktop (5.8.0-2.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Wed, 31 Jan 2024 08:53:19 +0000

=== debian/control ===
Source: cinnamon-desktop
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Christoph Martin <martin@uni-mainz.de>,
Build-Depends: dpkg-dev (>= 1.22.5),
 debhelper-compat (= 13),
 dh-sequence-gir,
 gobject-introspection,
 gtk-doc-tools,
 intltool,
 libaccountsservice-dev,
 libgdk-pixbuf-2.0-dev,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libgtk-3-dev,
 libpulse-dev (>= 12.99.3),
 libsystemd-dev,
 libx11-dev,
 libxext-dev,
 libxkbfile-dev,
 libxml2-dev,
 libxrandr-dev,
 meson,
 python3:any,
 xkb-data,
 yelp-tools,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-desktop
Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-desktop.git

Package: cinnamon-desktop-data
Architecture: all
Breaks:
 cinnamon (<< 6.0),
 cinnamon-control-center (<< 6.0),
 cinnamon-screensaver (<< 6.0),
 cinnamon-session (<< 6.0),
 cinnamon-settings-daemon (<< 6.0),
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Common files for Cinnamon desktop apps
 This package includes files that are shared between several Cinnamon
 apps (i18n files and configuration schemas).

Package: gir1.2-cinnamondesktop-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Introspection data for CinnamonDesktop
 This package contains the introspection data for CinnamonDesktop.
Breaks:
 cinnamon-common (<< 6.0),
 cinnamon-screensaver (<< 6.0),
 gir1.2-meta-muffin-0.0 (<< 6.0),
Multi-Arch: same

Package: gir1.2-cvc-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Introspection data for Cinnamon pulseaudio abstraction
 This package contains the introspection data for Cinnamon pulseaudio
 abstraction.
Breaks: cinnamon (<< 6.0), cinnamon-settings-daemon (<< 6.0)
Multi-Arch: same

Package: libcinnamon-desktop-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-cinnamondesktop-3.0 (= ${binary:Version}),
 gir1.2-cvc-1.0 (= ${binary:Version}),
 libcinnamon-desktop4t64 (= ${binary:Version}),
 libcvc0t64 (= ${binary:Version}),
 libgtk-3-dev,
 libpulse-dev,
 libxkbfile-dev,
 ${misc:Depends},
Description: Cinnamon library for loading .desktop files - development files
 This package provides the include files and static library for the Cinnamon
 desktop library functions.
Breaks: libmuffin-dev (<< 6.0)

Package: libcinnamon-desktop4t64
Provides: ${t64:Provides}
Replaces: libcinnamon-desktop4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: hwdata
Breaks:
 cinnamon (<< 6.0),
 cinnamon-control-center (<< 6.0),
 cinnamon-settings-daemon (<< 6.0),
 gir1.2-cinnamondesktop-3.0 (<< ${source:Version}),
 libcinnamon-control-center1 (<< 6.0),
 libcinnamon-desktop4 (<< ${source:Version}),
 libmuffin0 (<< 6.0),
 nemo (<< 6.0),
Description: Cinnamon library for loading .desktop files
 This library is used by Cinnamon to load the .desktop files.

Package: libcvc0t64
Provides: ${t64:Provides}
Replaces: libcvc0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Cinnamon pulseaudio abstraction library
 This library contains code to access PulseAudio using a GObject
 based library, shared between cinnamon-control-center, cinnamon-settings-daemon
 and cinnamon. It is not API stable, and it is meant to be used
 as a submodule.
Breaks:
 cinnamon-settings-daemon (<< 6.0),
 gir1.2-cvc-1.0 (<< ${source:Version}),
 libcvc0 (<< ${source:Version}),

## cinnamon-desktop 6.0.0%2Bvirginia

=== debian/control ===
Source: cinnamon-desktop
Section: x11
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends:
 debhelper-compat (= 12),
 gobject-introspection (>= 0.10.2-1~),
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.6),
 libaccountsservice-dev,
 libgdk-pixbuf2.0-dev (>= 2.22.0),
 libgirepository1.0-dev (>= 0.10.2-1~),
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev (>= 3.3.16),
 libpulse-dev (>= 12.99.3),
 libsystemd-dev,
 libx11-dev,
 libxext-dev,
 libxkbfile-dev,
 libxml2-dev (>= 2.4.20),
 libxrandr-dev (>= 2:1.3),
 meson (>= 0.50.0),
 python3:any,
 xkb-data,
 yelp-tools,
Standards-Version: 3.9.6

Package: cinnamon-desktop-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Common files for Cinnamon desktop apps
 This package includes files that are shared between several Cinnamon
 apps (i18n files and configuration schemas).

Package: gir1.2-cinnamondesktop-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}
Description: Introspection data for CinnamonDesktop
 This package contains the introspection data for libcinnamon-desktop.

Package: gir1.2-cvc-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}
Description: Introspection data for Cinnamon pulseaudio abstraction
 This package contains the introspection data for Cinnamon pulseaudio
 abstraction.

Package: libcinnamon-desktop-dbg
Section: debug
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcinnamon-desktop4 (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon shared utility library - debugging symbols
 This package contains the symbols files needed to debug the libcinnamon-desktop
 library.

Package: libcinnamon-desktop-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-cinnamondesktop-3.0 (= ${binary:Version}),
 libcinnamon-desktop4 (= ${binary:Version}),
 libgtk-3-dev (>= 3.3.16),
 libxkbfile-dev,
 ${misc:Depends},
Description: Cinnamon shared utility library - development files
 This package provides the headers and other development files for the
 libcinnamon-desktop library.

Package: libcinnamon-desktop4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: hwdata (>= 0.227-1)
Description: Cinnamon shared utility library.
 This library is used by a number of Cinnamon components, in various ways.

Package: libcvc-dbg
Section: debug
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcvc0 (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon pulseaudio abstraction library - debug symbols
 This package contains the symbols files needed to
 debug the Cvc library.

Package: libcvc-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 gir1.2-cvc-1.0 (= ${binary:Version}),
 libcvc0 (= ${binary:Version}),
 libpulse-dev,
 ${misc:Depends},
Description: Cinnamon pulseaudio abstraction library - development files
 This package provides the include files and static
 library for cvc.

Package: libcvc0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Cinnamon pulseaudio abstraction library
 This library contains code to access PulseAudio using a GObject
 based library, shared between cinnamon-control-center, cinnamon-settings-daemon
 and cinnamon. It is not API stable, and it is meant to be used
 as a submodule.

## cinnamon-desktop 6.0.0+virginia

=== debian/changelog ===
cinnamon-desktop (6.0.0+virginia) virginia; urgency=medium

  [ Michael Webster ]
  * gschemas: Change a comment

  [ Rick Calixte ]
  * Fix meson.build deprecations up to 0.56.0 (#234)

  [ Michael Webster ]
  * cdesktop-enums: Expand CDesktopStylusButtonAction to include 'disabled'.
  * Add gnome-systemd
  * Add gnome-idle-monitor
  * a11y: Add 'always-show-text-caret' xsetting

  [ Rick Calixte ]
  * Adding an option for notification screen selection (#231)
  * notifications schema: Add fullscreen-notifications boolean (#233)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 19 Nov 2023 13:37:20 +0000

cinnamon-desktop (5.8.0) victoria; urgency=medium

  [ Michael Webster ]
  * Add high-contrast key.
  * gnome-desktop-thumbnailer.c: Only attempt to thumbnail internally if gdk-pixbuf actually supports the mime_type.
  * github workflow: Add optional ssh session.
  * org.cinnamon.desktop.keybindings: Add entries for warping the pointer between monitors.
  * Remove color-scheme additions (added in d880133b38da46b22).
  * Update cvc symbols.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 13:55:15 +0100

## cinnamon-desktop 6.0.0+wilma

=== debian/changelog ===
cinnamon-desktop (6.0.0+wilma) virginia; urgency=medium

  [ Michael Webster ]
  * gschemas: Change a comment

  [ Rick Calixte ]
  * Fix meson.build deprecations up to 0.56.0 (#234)

  [ Michael Webster ]
  * cdesktop-enums: Expand CDesktopStylusButtonAction to include 'disabled'.
  * Add gnome-systemd
  * Add gnome-idle-monitor
  * a11y: Add 'always-show-text-caret' xsetting

  [ Rick Calixte ]
  * Adding an option for notification screen selection (#231)
  * notifications schema: Add fullscreen-notifications boolean (#233)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 19 Nov 2023 13:37:20 +0000

## cinnamon-desktop 6.2.0

=== debian/changelog ===
cinnamon-desktop (6.2.0-1) unstable; urgency=medium

  [ Joshua Peisach ]
  * New upstream version 6.2.0
  * Bump reverse-dep breaks to 6.2

  [ Fabio Fantoni ]
  * Update standards version to 4.7.0, no changes needed
  * Add d/README.source with a wiki link with details about packaging

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 04 Oct 2024 18:14:51 +0200

=== debian/control ===
Source: cinnamon-desktop
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Christoph Martin <martin@uni-mainz.de>,
Build-Depends: dpkg-dev (>= 1.22.5),
 debhelper-compat (= 13),
 dh-sequence-gir,
 gobject-introspection,
 gtk-doc-tools,
 intltool,
 libaccountsservice-dev,
 libgdk-pixbuf-2.0-dev,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libgtk-3-dev,
 libpulse-dev (>= 12.99.3),
 libsystemd-dev,
 libx11-dev,
 libxext-dev,
 libxkbfile-dev,
 libxml2-dev,
 libxrandr-dev,
 meson,
 python3:any,
 xkb-data,
 yelp-tools,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-desktop
Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-desktop.git

Package: cinnamon-desktop-data
Architecture: all
Breaks:
 cinnamon (<< 6.2),
 cinnamon-control-center (<< 6.2),
 cinnamon-screensaver (<< 6.2),
 cinnamon-session (<< 6.2),
 cinnamon-settings-daemon (<< 6.2),
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Common files for Cinnamon desktop apps
 This package includes files that are shared between several Cinnamon
 apps (i18n files and configuration schemas).

Package: gir1.2-cinnamondesktop-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Introspection data for CinnamonDesktop
 This package contains the introspection data for CinnamonDesktop.
Breaks:
 cinnamon-common (<< 6.2),
 cinnamon-screensaver (<< 6.2),
 gir1.2-meta-muffin-0.0 (<< 6.2),
Multi-Arch: same

Package: gir1.2-cvc-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Introspection data for Cinnamon pulseaudio abstraction
 This package contains the introspection data for Cinnamon pulseaudio
 abstraction.
Breaks: cinnamon (<< 6.2), cinnamon-settings-daemon (<< 6.2)
Multi-Arch: same

Package: libcinnamon-desktop-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-cinnamondesktop-3.0 (= ${binary:Version}),
 gir1.2-cvc-1.0 (= ${binary:Version}),
 libcinnamon-desktop4t64 (= ${binary:Version}),
 libcvc0t64 (= ${binary:Version}),
 libgtk-3-dev,
 libpulse-dev,
 libxkbfile-dev,
 ${misc:Depends},
Description: Cinnamon library for loading .desktop files - development files
 This package provides the include files and static library for the Cinnamon
 desktop library functions.
Breaks: libmuffin-dev (<< 6.2)

Package: libcinnamon-desktop4t64
Provides: ${t64:Provides}
Replaces: libcinnamon-desktop4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: hwdata
Breaks:
 cinnamon (<< 6.2),
 cinnamon-control-center (<< 6.2),
 cinnamon-settings-daemon (<< 6.2),
 gir1.2-cinnamondesktop-3.0 (<< ${source:Version}),
 libcinnamon-control-center1 (<< 6.2),
 libcinnamon-desktop4 (<< ${source:Version}),
 libmuffin0 (<< 6.2),
 nemo (<< 6.2),
Description: Cinnamon library for loading .desktop files
 This library is used by Cinnamon to load the .desktop files.

Package: libcvc0t64
Provides: ${t64:Provides}
Replaces: libcvc0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Cinnamon pulseaudio abstraction library
 This library contains code to access PulseAudio using a GObject
 based library, shared between cinnamon-control-center, cinnamon-settings-daemon
 and cinnamon. It is not API stable, and it is meant to be used
 as a submodule.
Breaks:
 cinnamon-settings-daemon (<< 6.2),
 gir1.2-cvc-1.0 (<< ${source:Version}),
 libcvc0 (<< ${source:Version}),

## cinnamon-desktop 6.2.0+faye

=== debian/changelog ===
cinnamon-desktop (6.2.0+faye) wilma; urgency=medium

  [ Michael Webster ]
  * Add a makepot script.
  * gnome-wall-clock.c: Update default date-time formats to adapt to GDateTime change.

  [ Clement Lefebvre ]
  * l10n: Update msgids/msgstr to reflect changes in the previous commit
  * Update the default date format
  * Revert "Add a makepot script."

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Jun 2024 16:13:50 +0100

cinnamon-desktop (6.0.0) virginia; urgency=medium

  [ Michael Webster ]
  * gschemas: Change a comment

  [ Rick Calixte ]
  * Fix meson.build deprecations up to 0.56.0 (#234)

  [ Michael Webster ]
  * cdesktop-enums: Expand CDesktopStylusButtonAction to include 'disabled'.
  * Add gnome-systemd
  * Add gnome-idle-monitor
  * a11y: Add 'always-show-text-caret' xsetting

  [ Rick Calixte ]
  * Adding an option for notification screen selection (#231)
  * notifications schema: Add fullscreen-notifications boolean (#233)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 19 Nov 2023 13:37:20 +0000

## cinnamon-desktop 6.2.0+wilma

=== debian/changelog ===
cinnamon-desktop (6.2.0+wilma) wilma; urgency=medium

  [ Michael Webster ]
  * Add a makepot script.
  * gnome-wall-clock.c: Update default date-time formats to adapt to GDateTime change.

  [ Clement Lefebvre ]
  * l10n: Update msgids/msgstr to reflect changes in the previous commit
  * Update the default date format
  * Revert "Add a makepot script."

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Jun 2024 16:13:50 +0100

## cinnamon-desktop 6.4.0+xia

=== debian/changelog ===
cinnamon-desktop (6.4.0+xia) xia; urgency=medium

  [ Clement Lefebvre ]
  * Simplify overamplification setting

  [ Michael Webster ]
  * Adapt gnome-rr-* to work thru muffin, to support color profiles and nightlight in x11/wayland.
  * Backport some language/locale-related changes for keyboard layout support.
  * Remove gnome-installer.
  * Update debian/symbols file

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2024 13:16:51 +0000

cinnamon-desktop (6.2.0) wilma; urgency=medium

  [ Michael Webster ]
  * Add a makepot script.
  * gnome-wall-clock.c: Update default date-time formats to adapt to GDateTime change.

  [ Clement Lefebvre ]
  * l10n: Update msgids/msgstr to reflect changes in the previous commit
  * Update the default date format
  * Revert "Add a makepot script."

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Jun 2024 16:13:50 +0100

=== debian/control ===
Source: cinnamon-desktop
Section: x11
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends:
 debhelper-compat (= 12),
 gobject-introspection (>= 0.10.2-1~),
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.6),
 libaccountsservice-dev,
 libgdk-pixbuf2.0-dev (>= 2.22.0),
 libgirepository1.0-dev (>= 0.10.2-1~),
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev (>= 3.3.16),
 libpulse-dev (>= 12.99.3),
 libsystemd-dev,
 libudev-dev,
 libx11-dev,
 libxext-dev,
 libxkbfile-dev,
 libxml2-dev (>= 2.4.20),
 libxrandr-dev (>= 2:1.3),
 meson (>= 0.50.0),
 python3:any,
 xkb-data,
 yelp-tools,
Standards-Version: 3.9.6

Package: cinnamon-desktop-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Common files for Cinnamon desktop apps
 This package includes files that are shared between several Cinnamon
 apps (i18n files and configuration schemas).

Package: gir1.2-cinnamondesktop-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}
Description: Introspection data for CinnamonDesktop
 This package contains the introspection data for libcinnamon-desktop.

Package: gir1.2-cvc-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}
Description: Introspection data for Cinnamon pulseaudio abstraction
 This package contains the introspection data for Cinnamon pulseaudio
 abstraction.

Package: libcinnamon-desktop-dbg
Section: debug
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcinnamon-desktop4 (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon shared utility library - debugging symbols
 This package contains the symbols files needed to debug the libcinnamon-desktop
 library.

Package: libcinnamon-desktop-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-cinnamondesktop-3.0 (= ${binary:Version}),
 libcinnamon-desktop4 (= ${binary:Version}),
 libgtk-3-dev (>= 3.3.16),
 libxkbfile-dev,
 ${misc:Depends},
Description: Cinnamon shared utility library - development files
 This package provides the headers and other development files for the
 libcinnamon-desktop library.

Package: libcinnamon-desktop4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: hwdata (>= 0.227-1)
Description: Cinnamon shared utility library.
 This library is used by a number of Cinnamon components, in various ways.

Package: libcvc-dbg
Section: debug
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcvc0 (= ${binary:Version}), ${misc:Depends}
Description: Cinnamon pulseaudio abstraction library - debug symbols
 This package contains the symbols files needed to
 debug the Cvc library.

Package: libcvc-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 gir1.2-cvc-1.0 (= ${binary:Version}),
 libcvc0 (= ${binary:Version}),
 libpulse-dev,
 ${misc:Depends},
Description: Cinnamon pulseaudio abstraction library - development files
 This package provides the include files and static
 library for cvc.

Package: libcvc0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Cinnamon pulseaudio abstraction library
 This library contains code to access PulseAudio using a GObject
 based library, shared between cinnamon-control-center, cinnamon-settings-daemon
 and cinnamon. It is not API stable, and it is meant to be used
 as a submodule.

## cinnamon-desktop 6.4.1

=== debian/changelog ===
cinnamon-desktop (6.4.1-1) unstable; urgency=medium

  * New upstream version 6.4.1
  * d/gbp.conf: switch to DEP-14 and other improvements
  * d/patches: switch to gbp pq and refresh
  * d/control: add iso-codes and libudev-dev to build-deps
  * Update symbols
  * Update d/copyright
  * Bump reverse-dep breaks to 6.4

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 19 Jan 2025 16:02:02 +0100

=== debian/control ===
Source: cinnamon-desktop
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Christoph Martin <martin@uni-mainz.de>,
Build-Depends: dpkg-dev (>= 1.22.5),
 debhelper-compat (= 13),
 dh-sequence-gir,
 gobject-introspection,
 gtk-doc-tools,
 intltool,
 iso-codes,
 libaccountsservice-dev,
 libgdk-pixbuf-2.0-dev,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libgtk-3-dev,
 libpulse-dev (>= 12.99.3),
 libsystemd-dev,
 libudev-dev,
 libx11-dev,
 libxext-dev,
 libxkbfile-dev,
 libxml2-dev,
 libxrandr-dev,
 meson,
 python3:any,
 xkb-data,
 yelp-tools,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-desktop
Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-desktop.git

Package: cinnamon-desktop-data
Architecture: all
Breaks:
 cinnamon (<< 6.4),
 cinnamon-control-center (<< 6.4),
 cinnamon-screensaver (<< 6.4),
 cinnamon-session (<< 6.4),
 cinnamon-settings-daemon (<< 6.4),
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Common files for Cinnamon desktop apps
 This package includes files that are shared between several Cinnamon
 apps (i18n files and configuration schemas).

Package: gir1.2-cinnamondesktop-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Introspection data for CinnamonDesktop
 This package contains the introspection data for CinnamonDesktop.
Breaks:
 cinnamon-common (<< 6.4),
 cinnamon-screensaver (<< 6.4),
 gir1.2-meta-muffin-0.0 (<< 6.4),
Multi-Arch: same

Package: gir1.2-cvc-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Introspection data for Cinnamon pulseaudio abstraction
 This package contains the introspection data for Cinnamon pulseaudio
 abstraction.
Breaks: cinnamon (<< 6.4), cinnamon-settings-daemon (<< 6.4)
Multi-Arch: same

Package: libcinnamon-desktop-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-cinnamondesktop-3.0 (= ${binary:Version}),
 gir1.2-cvc-1.0 (= ${binary:Version}),
 libcinnamon-desktop4t64 (= ${binary:Version}),
 libcvc0t64 (= ${binary:Version}),
 libgtk-3-dev,
 libpulse-dev,
 libxkbfile-dev,
 ${misc:Depends},
Description: Cinnamon library for loading .desktop files - development files
 This package provides the include files and static library for the Cinnamon
 desktop library functions.
Breaks: libmuffin-dev (<< 6.4)

Package: libcinnamon-desktop4t64
Provides: ${t64:Provides}
Replaces: libcinnamon-desktop4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: hwdata
Breaks:
 cinnamon (<< 6.4),
 cinnamon-control-center (<< 6.4),
 cinnamon-settings-daemon (<< 6.4),
 gir1.2-cinnamondesktop-3.0 (<< ${source:Version}),
 libcinnamon-control-center1 (<< 6.4),
 libcinnamon-desktop4 (<< ${source:Version}),
 libmuffin0 (<< 6.4),
 nemo (<< 6.4),
Description: Cinnamon library for loading .desktop files
 This library is used by Cinnamon to load the .desktop files.

Package: libcvc0t64
Provides: ${t64:Provides}
Replaces: libcvc0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Cinnamon pulseaudio abstraction library
 This library contains code to access PulseAudio using a GObject
 based library, shared between cinnamon-control-center, cinnamon-settings-daemon
 and cinnamon. It is not API stable, and it is meant to be used
 as a submodule.
Breaks:
 cinnamon-settings-daemon (<< 6.4),
 gir1.2-cvc-1.0 (<< ${source:Version}),
 libcvc0 (<< ${source:Version}),

## cinnamon-desktop 6.4.1+faye

=== debian/changelog ===
cinnamon-desktop (6.4.1+faye) xia; urgency=medium

  [ Himadri Sekhar Basu ]
  * Add iso-codes as build-depends (#248)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 02 Dec 2024 16:42:55 +0000

cinnamon-desktop (6.4.0) xia; urgency=medium

  [ Clement Lefebvre ]
  * Simplify overamplification setting

  [ Michael Webster ]
  * Adapt gnome-rr-* to work thru muffin, to support color profiles and nightlight in x11/wayland.
  * Backport some language/locale-related changes for keyboard layout support.
  * Remove gnome-installer.
  * Update debian/symbols file

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2024 13:16:51 +0000

## cinnamon-desktop 6.4.1+xia

=== debian/changelog ===
cinnamon-desktop (6.4.1+xia) xia; urgency=medium

  [ Himadri Sekhar Basu ]
  * Add iso-codes as build-depends (#248)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 02 Dec 2024 16:42:55 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DPKG_GENSYMBOLS_CHECK_LEVEL = 2

%:
	dh $@ --with=gir

override_dh_auto_configure:
	dh_auto_configure -- \
		--buildtype=debug \
		-Dpnp_ids=/usr/share/hwdata/pnp.ids

override_dh_strip:
	dh_strip -Xdesktop -Xcinnamon --dbg-package=libcvc-dbg
	dh_strip -Xcvc --dbg-package=libcinnamon-desktop-dbg

## cinnamon-desktop 6.4.2

=== debian/changelog ===
cinnamon-desktop (6.4.2-1) unstable; urgency=medium

  * New upstream version 6.4.2
  * d/control: Add provides of gir1.2-cinnamondesktop-3.0
  * d/x-cinnamon-mimeapps.list: fix application/x-ext-pdf.
    Thanks to Andrew Montenigro (Closes: #1113821)
  * d/x-cinnamon-mimeapps.list: eog.desktop->org.gnome.eog.desktop
  * d/patches: Replace gnome with mate as default icon theme
  * Update d/copyright
  * Update standards version to 4.7.2, no changes needed
  * Remove unused lintian overrides

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 13 Sep 2025 15:58:04 +0200

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
  python3:any,
  xkb-data,
  yelp-tools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: http://cinnamon.linuxmint.com/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-desktop
@@ -63,6 +63,7 @@
  cinnamon-common (<< 6.4),
  cinnamon-screensaver (<< 6.4),
  gir1.2-meta-muffin-0.0 (<< 6.4),
+Provides: gir1.2-cdesktopenums-3.0 (= ${binary:Version})
 Multi-Arch: same
 
 Package: gir1.2-cvc-1.0

## cinnamon-desktop 6.4.2+gigi

=== debian/changelog ===
cinnamon-desktop (6.4.2+gigi) gigi; urgency=medium

  [ Michael Webster ]
  * build: debian/control fix for alt package name, use debugoptimized build type, fix meson warning.
  * debian/control: Remove old gdkpixbuf package.
  * build: Fix gnome-languages introspection.
  * debian/control: Add provides to gir1.2-cinnamondesktop-3.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 05 Sep 2025 16:40:59 +0100

cinnamon-desktop (6.4.1) xia; urgency=medium

  [ Himadri Sekhar Basu ]
  * Add iso-codes as build-depends (#248)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 02 Dec 2024 16:42:55 +0000

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--buildtype=debug \
+		--buildtype=debugoptimized \
 		-Dpnp_ids=/usr/share/hwdata/pnp.ids
 
 override_dh_strip:

## cinnamon-desktop 6.6.0+zena

=== debian/changelog ===
cinnamon-desktop (6.6.0+zena) zena; urgency=medium

  [ Michael Webster ]
  * org.cinnamon.desktop.interface.gschema: Mark the old scaling direction key as as unused.
  * build: debian/control fix for alt package name, use debugoptimized build type, fix meson warning.
  * debian/control: Remove old gdkpixbuf package.
  * build: Fix gnome-languages introspection.

  [ Spencer Lommel ]
  * Cvc null check profile (#254)

  [ Matt Turnbull ]
  * Remove the pnp_ids configuration option (unused as of 913198430f27852544f9443a250421168d3d4466) (#249)

  [ Michael Webster ]
  * debian/control: Add provides to gir1.2-cinnamondesktop-3.0
  * Update input-sources schema
  * Don't show keyboard layout flags by default
  * gnome-desktop-thumbnail.c: Check for a filesystem-supplied preview icon before running thumbnailers.
  * gnome-desktop-thumbnail.c: Remove preview icon check in the fallback pixbuf loader code.
  * gnome-desktop-thumbnail.c: Initialize empty pixbuf.

  [ Clement Lefebvre ]
  * Switch to xapp-symbolic-icons (XSI)

  [ Michael Webster ]
  * org.cinnamon.desktop.keybindings.wm.gschema: Add direct keyboard layout keybindings.
  * Add magnifier reset keybinding.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Nov 2025 14:15:05 +0000

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--buildtype=debugoptimized \
-		-Dpnp_ids=/usr/share/hwdata/pnp.ids
+		--buildtype=debugoptimized
 
 override_dh_strip:
 	dh_strip -Xdesktop -Xcinnamon --dbg-package=libcvc-dbg

## cinnamon-desktop 6.6.1+zena

=== debian/changelog ===
cinnamon-desktop (6.6.1+zena) zena; urgency=medium

  [ Michael Webster ]
  * gnome-xkb-info.c: Fix incorrect schema name for 'show-all-sources' gsettings key.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 16 Dec 2025 09:02:05 +0000

cinnamon-desktop (6.6.0) zena; urgency=medium

  [ Michael Webster ]
  * org.cinnamon.desktop.interface.gschema: Mark the old scaling direction key as as unused.
  * build: debian/control fix for alt package name, use debugoptimized build type, fix meson warning.
  * debian/control: Remove old gdkpixbuf package.
  * build: Fix gnome-languages introspection.

  [ Spencer Lommel ]
  * Cvc null check profile (#254)

  [ Matt Turnbull ]
  * Remove the pnp_ids configuration option (unused as of 913198430f27852544f9443a250421168d3d4466) (#249)

  [ Michael Webster ]
  * debian/control: Add provides to gir1.2-cinnamondesktop-3.0
  * Update input-sources schema
  * Don't show keyboard layout flags by default
  * gnome-desktop-thumbnail.c: Check for a filesystem-supplied preview icon before running thumbnailers.
  * gnome-desktop-thumbnail.c: Remove preview icon check in the fallback pixbuf loader code.
  * gnome-desktop-thumbnail.c: Initialize empty pixbuf.

  [ Clement Lefebvre ]
  * Switch to xapp-symbolic-icons (XSI)

  [ Michael Webster ]
  * org.cinnamon.desktop.keybindings.wm.gschema: Add direct keyboard layout keybindings.
  * Add magnifier reset keybinding.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Nov 2025 14:15:05 +0000

## cinnamon-desktop 6.6.2+gigi

=== meson_options.txt ===
option('deprecation_warnings', type: 'boolean', value: false,
       description: 'Show compiler warnings about deprecated features')
option('alsa', type: 'boolean', value: false,
       description: 'ALSA support')
option('systemd',
  type: 'feature', description: 'Systemd integration support'
)

=== debian/changelog ===
cinnamon-desktop (6.6.2+gigi) zena; urgency=medium

  [ Michael Webster ]
  * gnome-xkb-info.c: Add to existing option group when scanning extras, instead of replacing the original group.
  * gnome-xkb-info: Don't rely on gsettings to return the full set of xkb layouts and options.
  * gnome-xkb-info: Expose 'allows_multiple_selection'.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 13:27:24 +0000

cinnamon-desktop (6.6.1) zena; urgency=medium

  [ Michael Webster ]
  * gnome-xkb-info.c: Fix incorrect schema name for 'show-all-sources' gsettings key.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 16 Dec 2025 09:02:05 +0000

## cinnamon-desktop 6.6.2+zena

=== debian/changelog ===
cinnamon-desktop (6.6.2+zena) zena; urgency=medium

  [ Michael Webster ]
  * gnome-xkb-info.c: Add to existing option group when scanning extras, instead of replacing the original group.
  * gnome-xkb-info: Don't rely on gsettings to return the full set of xkb layouts and options.
  * gnome-xkb-info: Expose 'allows_multiple_selection'.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 13:27:24 +0000
